in scala.actors.distributed
class RemotePid

abstract `class` RemotePid
  `extends` scala.actors.multi.Process
  `with` scala.ScalaObject

author:
  Philipp Haller

Constructor Summary
| `def` this
| `def` this ( locId : scala.Int , kern : scala.actors.distributed.NetKernel , actor : scala.actors.distributed.RemoteActor )

Def Summary
`override` | `def` ! ( msg : scala.Any ) : scala.Unit
`override` | `def` equals ( that : scala.Any ) : scala.Boolean
`override` | `def` exit ( from : scala.actors.Process , reason : scala.Symbol ) : scala.Unit
`override` | `def` exit ( reason : scala.Symbol ) : scala.Unit
`override` | `def` handleExc ( destDesc : scala.actors.multi.ExcHandlerDesc , e : java.lang.Throwable ) : scala.Unit
| `def` kernel : scala.actors.distributed.NetKernel
`override` | `def` link ( other : scala.actors.Process ) : scala.Unit
`override` | `def` linkTo ( other : scala.actors.Process ) : scala.Unit
| `def` localId : scala.Int
| `def` node : scala.actors.distributed.Node
`override` | `def` unlink ( other : scala.actors.Process ) : scala.Unit
`override` | `def` unlinkFrom ( other : scala.actors.Process ) : scala.Unit

Constructor Detail

`def` this

`def` this ( locId : scala.Int , kern : scala.actors.distributed.NetKernel , actor : scala.actors.distributed.RemoteActor )

Def Detail

override `def` ! ( msg : scala.Any ) : scala.Unit

override `def` equals ( that : scala.Any ) : scala.Boolean

override `def` exit ( from : scala.actors.Process , reason : scala.Symbol ) : scala.Unit

override `def` exit ( reason : scala.Symbol ) : scala.Unit

override `def` handleExc ( destDesc : scala.actors.multi.ExcHandlerDesc , e : java.lang.Throwable ) : scala.Unit

`def` kernel : scala.actors.distributed.NetKernel

override `def` link ( other : scala.actors.Process ) : scala.Unit

override `def` linkTo ( other : scala.actors.Process ) : scala.Unit

`def` localId : scala.Int

`def` node : scala.actors.distributed.Node

override `def` unlink ( other : scala.actors.Process ) : scala.Unit

override `def` unlinkFrom ( other : scala.actors.Process ) : scala.Unit